<template>
  <tag @click="actions.deadline.remove()" class="cursor-pointer select-none hover:bg-gray-100">
    <i class="hero minus-circle solid text-blue-300"></i>
    <i class="hero x solid mr-2 text-red-600 -ml-2 text-xs -mb-3"></i>
    <div class="text-gray-700">Remove deadline</div>
  </tag>
</template>

<script lang=ts>
import { usePersistentActions } from "@/use/persistentActions";
import Picker from "../Picker.vue";
import Tag from "@/components/Tag.vue";
import { hasModals } from "@/use/modal";
import Task from "@/models/Task";

const modals = hasModals({ Picker });

export default {
  components: { ...modals.components, Tag },
  props: {
    task: {
      type: Task,
      required: true,
    },
  },
  setup(props) {
    return {
      modals,
      actions: usePersistentActions(props.task),
    };
  },
};
</script>